# Ogg FLAC

Read and write Ogg FLAC comments.

This module handles FLAC files wrapped in an Ogg bitstream. The first FLAC stream found is used. For ‘naked’ FLACs, see mutagen.flac.

This module is based off the specification at http://flac.sourceforge.net/ogg_mapping.html.

class mutagen.oggflac.OggFLAC(filething)

  Bases: `OggFileType`

  An Ogg FLAC file.

  Parameters:

    filething (filething)

  info
    Type:

      `OggFLACStreamInfo`

  tags
    Type:

      `mutagen._vorbis.VCommentDict`

class mutagen.oggflac.OggFLACStreamInfo

  Bases: `StreamInfo`

  Ogg FLAC stream info.

  length

    File length in seconds, as a float

    Type:

      `float`

  channels

    Number of channels

    Type:

      `float`

  sample_rate

    Sample rate in Hz”

    Type:

      `int`

  pprint()
    Returns:

      Print stream information

    Return type:

      text